%global srcname tornado

Summary:        Scalable, non-blocking web server and tools
Name:           python-%{srcname}
Version:        6.3.3
Release:        4%{?dist}
License:        ASL 2.0
URL:            https://www.tornadoweb.org
Source0:        https://github.com/tornadoweb/tornado/archive/v%{version}/%{srcname}-%{version}.tar.gz

Patch3000:      Do-not-turn-DeprecationWarning-into-Exception.patch

BuildRequires:  gcc
BuildRequires:  python3-devel

%description 
Tornado is an open source version of the scalable, non-blocking web
server and tools.
The framework is distinct from most mainstream web server frameworks
(and certainly most Python frameworks) because it is non-blocking and
reasonably fast. Because it is non-blocking and uses epoll, it can
handle thousands of simultaneous standing connections, which means it is
ideal for real-time web services.

%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} 
Tornado is an open source version of the scalable, non-blocking web
server and tools.
The framework is distinct from most mainstream web server frameworks
(and certainly most Python frameworks) because it is non-blocking and
reasonably fast. Because it is non-blocking and uses epoll, it can
handle thousands of simultaneous standing connections, which means it is
ideal for real-time web services.

%package doc
Summary:        Examples for %{name}

%description doc 
Tornado is an open source version of the scalable, non-blocking web
server and tools.
The framework is distinct from most mainstream web server frameworks
(and certainly most Python frameworks) because it is non-blocking and
reasonably fast. Because it is non-blocking and uses epoll, it can
handle thousands of simultaneous standing connections, which means it is
ideal for real-time web services.
This package contains some example applications.

%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%check
export TRAVIS=true
%{python3} -m tornado.test

%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.rst

%files doc
%license LICENSE
%doc demos

%changelog
* Mon Sep 2 2024 Feng Weiyao <wynnfeng@tencent.com> - 6.3.3-4
- [type] other
- [desc] test not use tox 

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.3.3-3
- Rebuilt for loongarch release

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.3.3-2
- Rebuilt for python 3.11

* Sat Sep 16 2023 Zhao Zhen <jeremiazhao@tencent.com> - 6.3.3-1
- updated uptream 6.6.6
- fixed CVE-2023-28370

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.2.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.2.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.2.0-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Dec 19 2022 Miaojun Dong <zoedong@tencent.com> - 6.2.0-1
- initial build
